
Infrastructure - Story #2086

CN issues found when creating tests for Python D1 CNClient

2011-12-05 17:33 - Roger Dahl

Status: Closed Start date: 2011-12-05

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Story Points:    

Description

Subtasks:

Task # 2087: GET http://cn-dev-2.dataone.org/cn/v1/format, XSLT Closed

Task # 2088: CNCore.reserveIdentifier() returns 404 Closed

Task # 2089: CNCore.listChecksumAlgorithms() - 500 Closed

Task # 2090: CNCore.listNodes() → NodeList, schema version Closed

Task # 2091: CNCore.hasReservation(session, pid) → boolean returns 500. Closed

Task # 2122: CNRead.listObjects(): count=0 returns all objects on CN Closed

Task # 2289: Case on RDN differs between subject and equivalentIdentity in SubjectInfo Closed

Task # 2323: CNCore.getLogRecords() - 404 Closed

Task # 2325: CNCore.generateIdentifier() - 500 Closed

Task # 2326: CNRead.search() - 404 Closed

Task # 2360: CNCore.reserveIdentifier() - Allows the same identifier to be reserved mul... Closed

Task # 2361: CNCore.listChecksumAlgorithms() - 404 with strange error description Closed

Task # 2362: CNRead.getSystemMetadata() - returns invalid system metadata Closed

Task # 2363: CNCore.setObsoletedBy() - 404 Closed

Task # 2364: CNCore.hasReservation() - 500 Rejected

Task # 2404: Update metacat MN crontab entry syntax to not use "0/3" in the minutes field Rejected

Task # 2405: Add support for "slash format" to CrontabEntry in schema Closed

History

#1 - 2012-01-06 04:30 - Dave Vieglais

- Position set to 1

- Target version set to Sprint-2012.01-Block.1.1

#2 - 2012-01-18 17:00 - Dave Vieglais

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

- Position changed from 1 to 352

- Position set to 1

- Position deleted (19)

#3 - 2012-01-31 18:02 - Dave Vieglais

- Position deleted (357)

- Position set to 1

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

#4 - 2012-02-08 19:31 - Dave Vieglais

- Assignee set to Roger Dahl
#5 - 2012-02-13 18:11 - Dave Vieglais

- Position set to 1

- Position deleted (28)

- Target version changed from Sprint-2012.05-Block.1.3 to Sprint-2012.07-Block.1.4

#6 - 2012-02-27 18:02 - Dave Vieglais

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position set to 1

- Position deleted (7)

#7 - 2012-03-16 02:37 - Dave Vieglais

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position set to 2

- Position deleted (54)

#8 - 2012-04-23 17:42 - Robert Waltz

- Status changed from New to Closed
